## Form

Templating System : API Reference

### Summary

Building dynamic forms with automated validation.

### Methods

    template::form create name \
                          -html { attribute value attribute value }

Initialize data structures for a dynamic form. This procedure must be called before adding elements to the form.

- Additional attributes to include in the HTML form tag may be specified with the `html` option.

    template::form is_request name

Boolean procedure for determining whether a submission is in progress. If this procedure returns true, then an initial request for the form is underway. The code for insert or add forms may thus query for primary key value(s), and the code for update forms may query for current data and set the value(s) of form elements accordingly.

    template::form is_valid name

Boolean procedure that returns true if a submission is in progress and the submission is valid. Database or any other transactions based on the form submission should only take place after this procedure has been checked.

### Example

### Note(s)

templating@arsdigita.com